<bugID>971047<Summary>Import the CLD language detection library</Summary><Description>Chromium has a language detection library called CLD - Compact Language Library, which we are planning to use for our translation pilot.
CLD v1 is BSD-licensed and v2 is Apache-licensed.

It is a C++ library that we want to compile to asm.js with Emscripten. To do that we need to write some wrapper code to work as a call entry point to:
  - pass the correct inparams and receive the outparams
  - convert our 16-bit char strings to utf8 which is the format that the library uses

There's already an existing emscript'ed project called cld.js (BSD-licensed) which has some the wrapper code needed, but it uses CLD v1 and ideally we want v2.</Description></bugID>